//sticky header
$(window).scroll(function () {
	var header = $('header'),
		offset = header.height();

	if ($(this).scrollTop() > offset) {
		header.addClass('fixed');
	}
	else {
		header.removeClass('fixed');
	}
});

//link scroll to section
$(document).on('click', 'a[href^="#"]', function (e) {
	e.preventDefault();
	$('html, body').stop().animate({
		scrollTop: $($(this).attr('href')).offset().top
	}, 500, 'linear');
});

$('#banner-cta').on('click', function () {
	var input = $(this).parent().prev().val();
	validate(input);
});

$('#sec-cta').on('click', function () {
	var input = $(this).prev().children().val();
	validate(input);
});

function isValidEmailAddress(emailAddress) {
	var emailPattern = /^([a-z\d!#$%&'*+\-\/=?^_`{|}~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]+(\.[a-z\d!#$%&'*+\-\/=?^_`{|}~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]+)*|"((([ \t]*\r\n)?[ \t]+)?([\x01-\x08\x0b\x0c\x0e-\x1f\x7f\x21\x23-\x5b\x5d-\x7e\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]|\\[\x01-\x09\x0b\x0c\x0d-\x7f\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))*(([ \t]*\r\n)?[ \t]+)?")@(([a-z\d\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]|[a-z\d\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF][a-z\d\-._~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]*[a-z\d\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])\.)+([a-z\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]|[a-z\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF][a-z\d\-._~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]*[a-z\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])\.?$/i;
	return emailPattern.test(emailAddress);
}

function validate(email) {
	var valid = isValidEmailAddress(email);

	if (valid) {
		swal.fire({
			title: 'Thank You!',
			text: 'You are started NOW!',
			icon: 'success',
			showConfirmButton: false,
			timer: 1500,
		});
	} else {
		swal.fire({
			title: 'Warning',
			text: 'Please Enter Valid Email Address!',
			icon: 'warning',
		});
	}
}

function breakpoint() {
	var responsive = window.innerWidth;
	var desktop_menu = $('.main-header .col2');
	var mobile_menu = $('#mobile-menu');

	if (responsive <= 640) {
		desktop_menu.hide();
		mobile_menu.show();
	} else {
		desktop_menu.show();
		mobile_menu.hide();
	}
}

//responsive menu
$(document).ready(function () {
	breakpoint();
});

$(window).on('resize', function () {
	breakpoint();
});

$(document).on('click', '#mobile-menu', function () {
	$('#responsive-menu').addClass('open');
	$('.slideout-overlay').show();
});

$(document).on('click', '.close', function () {
	$('#responsive-menu').removeClass('open');
	$('.slideout-overlay').hide();
});

//slick slider
$('#app-pgs-slider').slick({
	dots: true,
	arrows: false,
	infinite: true,
	// draggable: false,
	autoplay: true,
	autoplaySpeed: 5000,
	cssEase: 'cubic-bezier(0.220, 0.320, 0.045, 0.985)',
	speed: 500,
	slidesToShow: 1,
	responsive: [
		{
			breakpoint: 768,
			settings: {
				adaptiveHeight: true,
			}
		}]
});

$('[rel="tooltip"]').tooltip({
	container: 'body',
	placement: 'left'
});